Subject: [CDNi] CDNI Triggers draft updated

From: Rob Murray <[email-masked]>
Date: Thu, 30 Aug 2012 18:33:47 +0000

Hi all,

We've submitted an update to the CDNI Triggers draft dealing with comments
against the first version, we've not addressed open issues yet...

    http://tools.ietf.org/html/draft-murray-cdni-triggers-01

The main change in this version is to allow multiple trigger actions in a
single request, so that an invalidate/delete can be packaged with
prepopulate in order to replace content.

Open issues include:
  - how to refer to content and metadata, including pattern matching for
invalidate/purge (depends on metadata draft)
  - how to report failure (need to come up with error codes, and deal with
partial failure)
  - encoding may change to align with metadata and other interfaces

We'll continue to work on those things.

Best regards,
Rob.